* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --text-color: white;
    --bg-url: url(./assets//wallpaperflare.com_wallpaper.jpg);
    --stroke-color: rgba(255, 255, 255, 0.5);
    --surface-color: rgba(255, 255, 255, 0.1);
    --surface-color-hover: rgba(8, 8, 8, 0.02);
    --highlight-color: rgba(48, 48, 48, 0.5);
    --switch-bg-url: url(./assets/moon-stars.svg);
}

.light{
    --text-color: black;
    --bg-url: url(./assets/bg-white.jpg);
    --stroke-color: rgba(8, 8, 8, 0.5);
    --surface-color: rgba(0, 0, 0, 0.05);
    --surface-color-hover: rgba(0, 0, 0, 0.02);
    --switch-bg-url: url(./assets/sun.svg);

}

body{
background: var(--bg-url) no-repeat top center/cover;
}
/*Como pode ser feito
     background-image: url(./assets/bg-mobile.jpg);
    background-repeat: no-repeat;
    background-position:top center;
    background-size: cover;

background: color image repetição posição/tamanho*/
body * {
    font-family: 'Inter', sans-serif;
    color: var(--text-color);
    text-decoration: none;
    font-weight: bold;
}
/*margin: 1-top/todos 2-bottom 3-left 4-right*/
#container{
    width: 360px;
    height: 712px;
    margin:auto;
    margin-top: 150px;
}
/* profile */
#profile img {
    width: 112px;
    display: block;
    margin: auto;
}

#profile{
    text-align: center;
    padding: 24px;
}

#profile p {
    font-weight: 200px;
    font-size: 20px;
    line-height: 24px;
    margin-top: 8px;
}
/* Botão modo claro */

#switch{
    position: relative;
    width: 64px;

    margin: 4px auto;
}

#switch button{
    width: 32px;
    height: 32px;
    background: white var(--switch-bg-url) no-repeat center;
    border: 0px;
    border-radius: 50%;
    
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 1;
    transform: translateY(-50%)
}

.light #switch button{
    right: 0;
    left: initial;
}

#switch span{
    display: block;
    width: 64px;
    height: 24px;
    /* surface-color-dark-mode */
    background: var(--surface-color);
    /* stroke-color-dark-mode*/
    border: 1px solid var(--stroke-color);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    border-radius: 9999px;
}

/* links */
ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 20px;
}
ul li a{
    display: flex;
    border: 1px solid var(--stroke-color);
    border-radius: 10px;
    backdrop-filter: blur(10px);
    justify-content: center;
    padding: 16px 24px;
    background: var(--surface-color);
    transition: all 0.2s;
}
/* pseudo-selector */
ul li a:hover{
    border: 1.5px solid var(--text-color);
    background: var(--surface-color-hover);
}

/*social links*/
#social-links{
    display: flex;
    justify-content: center;
    gap: 16px;
    padding: 24px;
    font-size: 40px;
}
#social-links a{
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.2s;
    border-radius: 50%;
}

#social-links a:hover{
background: var(--highlight-color);
padding: 16px;
border-radius: 50%;
}
/* rodapé */
footer{
    padding: 24px 0;
    text-align: center;
    font-size: 20px;
}